'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (macro) {
    switch (macro.macro) {
        case 'link':
            return link(macro);
        case 'math':
            return math(macro);
        default:
            (0, _logger.warn)('unknown macro: ' + macro.macro);
            return macro.value;
    }
};

var _katex = require('katex');

var _katex2 = _interopRequireDefault(_katex);

var _logger = require('../logger');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function link(macro) {
    var title = macro.value;
    if (macro.args.length > 0) {
        title = macro.args[0];
    }

    return '<a href="' + macro.value + '">' + title + '</a>';
}

function math(macro) {
    return '<span class="preleganto-inline-math">' + _katex2.default.renderToString(macro.value) + '</span>';
}